#!/bin/sh
#
# This script installs antivir in /usr/lib/AntiVir.
# Do not change the destination or antivir may not work.
# Run this script as root because an ordinary user does
# not have write access to /usr/lib/...
#  

SRC=.
DEST=/usr/lib/AntiVir

if test -e $DEST; then
    if ! test -d $DEST; then
        echo "error: a file $DEST already exists, install aborted"
        exit
    fi
else
    echo "creating directory '$DEST'"
    mkdir $DEST
fi 

# copy antivir and set mode to r-xr-xr-x
cp $SRC/antivir $DEST
chmod 555 $DEST/antivir

# copy antivir.vdf and set mode to r--r--r--
cp $SRC/antivir.vdf $DEST
chmod 444 $DEST/antivir.vdf

# if a key file exists copy it too
if test -r $SRC/hbedv.key; then 
    cp $SRC/hbedv.key $DEST
    chmod 444 $DEST/hbedv.key
fi

echo "create symlink in /usr/bin?"
read rsp
case $rsp in
    [yYjJ]*) ln -s $DEST/antivir /usr/bin ;;
esac   
